Author Topic: None PHP7+ installation was found!  (Read 1519 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
None PHP7+ installation was found!
« on: March 23, 2023, 10:21:23 AM »
Hello
I can't install PHP Defender

I got a message None PHP7+ installation was found!
CWP PHP Defender it's powered by Snuffleupagus, which is a PHP 7+ module designed to drastically raise the cost of attacks against websites, by killing entire bug classes.

Offline
***
Re: None PHP7+ installation was found!
« Reply #1 on: March 23, 2023, 05:58:27 PM »
Snuffleupagus (aka PHP Defender) only works with PHP-FPM.
PHP-FPM is only available with the Pro version of CWP.

Offline
*
Re: None PHP7+ installation was found!
« Reply #2 on: March 24, 2023, 07:28:33 AM »
i have Pro version of CWP but I dont't have Managed CWP

Offline
*
Re: None PHP7+ installation was found!
« Reply #3 on: March 24, 2023, 03:35:17 PM »
If you are trying to install this application from the command line, you must use the absolute path to your php-fpm install, something like:

Code: [Select]
/opt/alt/php-fpm74/usr/bin/php <your command here>

Offline
***
Re: None PHP7+ installation was found!
« Reply #4 on: April 09, 2023, 07:50:47 PM »
i have Pro version of CWP but I dont't have Managed CWP

If you can't install PHP-FPM with CWP Pro, then you have something wrong with your system.
If you want to manually install PHP Defender then look at this only if you have PHP-FPM already installed, but I still wouldn't recommend a manual install. I would recommend reinstalling the entire system and reinstall CWP Pro.
https://forum.centos-webpanel.com/index.php?topic=11590.msg39998#msg39998

by the way, you need PHP-FPM version 7+ if you want PHP Defender.
« Last Edit: April 09, 2023, 07:55:06 PM by iraqiboy90 »